'use strict';

module.exports = {
  //开发模式设置插件库路径
  src: '/Users/shiyonggao/Desktop/code/BASE/PACKAGE/PC-ADMIN/xd-vue-package/src',
  schemas:[
    {
      NAME: "buyLimit", //模块名称：限购
      STATUS: true, //是否启用
      PACK_MODULE_DIR: 'viewModules/viewsLimit',//插件库中模块目录
      //smsbuylimit-partner，smsbuylimit-admin（客服，超管，限购项目）
      API_APP: "smsbuylimit-partner",  // 项目API目录 /${API_APP}/v1/supplier-stat/total-counts
      DEST_PAGE_PATH: "viewsLimit",  // 项目页面目录
      DEST_ROOT_PATH: "src",  // 项目根目录
      replaceOptionServer: {  // 替换选项卡 fn: server
        "supplier": "supplier-partner",
        "categories": "product-partner",
        "business-line":"partner", //partner,partner-admin
      }
    },
    {
      NAME: "enterprise", //模块名称: 集采模块
      STATUS: true, //是否启用
      PACK_MODULE_DIR: 'viewModules/viewsEnterpriseBuy',//插件库中模块目录
      //wholesale-partner，wholesale-admin(设计到超管，加盟商-集采，加盟商-财务)
      API_APP: "wholesale-partner",  // 项目API目录 /${API_APP}/v1/supplier-stat/total-counts
      DEST_PAGE_PATH: "viewsEnterpriseBuy",  // 项目页面目录
      DEST_ROOT_PATH: "src",  // 项目根目录
      replaceOptionServer: {  // 替换选项卡 fn: server

      }
    },
    {
      NAME: "finance", //模块名称：财务
      STATUS: true, //是否启用
      PACK_MODULE_DIR: 'viewModules/viewsFinance',//插件库中模块目录
      //finance-partner(加盟商-财务)
      API_APP: "finance-partner",  // 项目API目录 /${API_APP}/v1/supplier-stat/total-counts
      DEST_PAGE_PATH: "viewsFinance",  // 项目页面目录
      DEST_ROOT_PATH: "src",  // 项目根目录
      replaceOptionServer: {  // 替换选项卡 fn: server
        "supplier": "supplier-partner",
        "categories": "product-partner",
      }
    },
    {
      NAME: "stat", //模块名称: 统计
      STATUS: true,
      PACK_MODULE_DIR: 'viewModules/viewStat',//插件库中模块目录
      //stat-partner(加盟商-统计)
      API_APP: "stat-partner",  // 项目API目录 /${API_APP}/v1/supplier-stat/total-counts
      DEST_PAGE_PATH: "viewsStat",  // 项目页面目录
      DEST_ROOT_PATH: "src",  // 项目根目录
      replaceOptionServer: {  // 替换选项卡 fn: server
        "supplier": "supplier-admin",
        "categories": "product-admin",
      }
    },
    {
      NAME: "TASK", //模块名称: 任务管理
      STATUS: true,
      //export-partner, export-supplier, export-admin
      // (加盟商-统计，加盟商-财务 , 加盟商，商城，电影，礼包，供货商，超管（未启用）)
      PACK_MODULE_DIR: 'viewModules/viewTask',
      API_APP: "export-partner",
      DEST_PAGE_PATH: "viewTask",
      DEST_ROOT_PATH: "src",
      replaceOptionServer: {

      }
    }
  ]
}


